Get mailback settings
curl --request GET \
--url https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"cams_automation_enabled": true,
"cams_zip_password_set": true,
"kfin_zip_password_set": true,
"reports_enabled": true,
"email": "<string>",
"inbound_address": "<string>"
}
}mailback-automation
Get mailback settings
The account’s mailback details: the registered email CAMS and KFintech send reports to, whether the CAMS and KFintech report passwords are set (never the passwords), whether report ingestion and the CAMS automation are on, and the address to forward report emails to.
GET
/
api
/
mailback-automation
/
v1
/
settings
Get mailback settings
curl --request GET \
--url https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.mf-atlas.space/api/mailback-automation/v1/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"cams_automation_enabled": true,
"cams_zip_password_set": true,
"kfin_zip_password_set": true,
"reports_enabled": true,
"email": "<string>",
"inbound_address": "<string>"
}
}